/* 	Common CSS for Reseplaneraren, dealing with ALL browsers.
	Additional tweaks are required and by some browsers, see "stylesheet.js" and CSS-files in the folder "css".

	Body font size 10px. Everything is defined in em for IE browser zooming capabilites :/
*/

/* --- Common HTML-elements ---  */


body{padding:0px 0px}

a{color:#000}
body,input,select{font:0.65em Verdana, Arial, Helvetica, sans-serif}
div,input,select{font-size:1em;line-height:1.8em}

/* #maincontainerdiv {font-size: 0.961538462em; width: 100%} 
page centred */
#maincontainerdiv {font-size: 0.961538462em;    margin: 0 auto;width: 742px;}
 #subcontainer {}

h2 { margin-bottom:0.8em; position:relative }
.step-content h2{margin-left:2em}
.step-content h2:before{height:2em;left:-2em;position:absolute}
#search-results-container h2{margin-left:1.5em}
h3{margin-top:1em}
h3,h2{font-size:1.3em;font-weight:700}
input{height:1.4em;text-align:center}
input,select{background-color:#fff;border:0.1em solid #999;line-height:1.4em;vertical-align:middle}
p{line-height:1.2em}

/* Classes and IDs common for all pages */

#branding{clear:both;float:right;margin-bottom:0.7em}
#breadcrumb{color:#bbb;text-align:right !important;width:15.3em}
#breadcrumb,#logo{clear:both;float:right;padding-bottom:0.3em}
#header{clear:both;position:relative;width:74em}
#language{clear:both;float:right}
#language li{font-size:1.1em;margin:0 0 0 0.5em}
#logo{height:2.2em;width:15.4em}
#logo span{display:none}
#navbar{font-size:1.1em;position:absolute;top:1em}
#navbar li+li{padding-left:0.2em}
#navbar li+li:before{content:"|";padding-right:0.2em}
#navbar li,#language li{display:inline}
#navbar li:after{content:url(../gfx/redarrow.png);margin:0 0.3em}
#submit-button{min-width: 3.5em; background-color:#c8272f;border:0.2em outset !important;color:#fff;font-size:1.3em;font-weight:700;height:2em !important;line-height:0.9em !important;width:auto;cursor:pointer}
.submit-button{background-color:#c8272f;border:0.2em outset !important;color:#fff;font-size:1em;font-weight:600;height:1.8em !important;line-height:1.2em !important;width:auto;cursor:pointer}

.text-input {text-align:left}
.bottom-line{bottom:0;position:absolute}
.calendar-icon{margin-top:0.1em}
.centered{margin:0 auto;text-align:center}
.currentlanguage{color:#c7272f}
.date-control{height:3em;padding-top:1em;position:relative}
.date-control .calendar-icon{position:absolute}
.date-input{width:6.9em}
.form-control{line-height:1.6em;margin:0}
.inline-choice{margin-left:1em}
.larger{font-size:1.1em;font-weight:700;line-height:1.2em}
.notopmargin{margin-top:0}
.radiobtn,.checkbox{border:0;height:1.3em;margin-top:-0.1em;width:1.3em}
.time-input{width:3.4em}
.hidden{display:none}
.spaced-icon {margin-right: 0.2em}

/* Classes and IDs used ONLY on "Search results" page */
#search-results {position: relative;width: 100%;table-layout: fixed}
#results-nav-earlier, #results-nav-later {height:4.5em;line-height:4.5em}
#results-nav-earlier-roundtrip, #results-nav-later-roundtrip {height:4.5em;line-height:4.5em}
#search-results-container {background:#dadada;border:0.1em solid #999;clear:both;position:relative;width:74em; top: 1em;margin-bottom: 1em}
#orig-search-results-container {background:#dadada;border:0.1em solid #999;clear:both;position:relative;width:73em; top: 1em;margin-bottom: 1em}
#results-table-container {position:relative;width: 100%; margin:0; padding: 0; border: 0; overflow-x: hidden; background-color: #fff}

.results-nav-arrow {margin-bottom:-0.3em;padding-right:0.4em;margin-right:-0.4em;background-color:#ddd;z-index:2}
.dark-grey, .dark-grey td {background-color:#999;color:#fff}
.mid-grey, .mid-grey td {background-color:#f2f2f2 !important}
.light-grey, .light-grey td {}
.white, .white td {background-color:#fff}

	/* Search result table properties */
	
	td, th {padding: 0.2em}
		.travelplannernotes-notearea td, .travelplannernotes-notearea th {padding: 0}
	
	#column-headers th {text-align:left;height:1.6em;line-height:1.6em;vertical-align:middle;border-bottom: 0.4em solid #999}
	
	.col-1{width:7em;}
	.col-2{width:3.7em; text-align: left}
		#column-headers th.col-2 {padding-left: 1.2em}
	.col-3{width:3.8em;}
	.col-4{width:5.7em;}
	.col-5{width:4.1em;}
	.col-6{width:10.7em;}
	.col-7{width:20em; padding-top: 0.3em; padding-bottom: 0}
		.col-7 img { margin-top: -0.2em }
		.col-7 select {margin-top: -0.2em }
	.col-8{width:7.9em;}
	.col-9{}
	
	.spot-row, .spot-row * { overflow: visible !important; white-space: normal !important; }
	
#spot-results-table { width: 100%; table-layout: fixed }
	#spot-results-table tr td, #spot-results-table tr th { text-align: left;vertical-align: middle }
	#spot-results-table .col-1 { width: 2em !important; }
	#spot-results-table .col-2 { width: 9em !important }
		#spot-results-table .col-2 a {white-space: nowrap !important}
	#spot-results-table .col-3 { width: 6em !important; }
	#spot-results-table .col-4 { width: 10em !important; }
	#spot-results-table .col-5 { width: 2em !important; }
	#spot-results-table .col-6 {  width: 18em !important;  }
	#spot-results-table .col-7 { width: 5em !important; white-space: nowrap !important }
	#spot-results-table img { margin-bottom: -0.3em}
	
	.details-headings th {padding-left: 0}
	
	.details-col-1 {width: 2.6em}
		.advanced-details-table tr .details-col-1 {width: 2.5em}
	.details-col-2 {width: 12.5em}
		.advanced-details-table tr .details-col-2 {width: 12.3em}
	.details-col-3 {width: 24.5em}
		.advanced-details-table tr .details-col-3 {width: 24.5em}
	.details-col-4 {width: 3.7em}
		.advanced-details-table tr .details-col-4 {width: 3.2em}
	.details-col-5 {width: 7.2em}
		.advanced-details-table tr .details-col-5 {width: 7.8em}
	.details-col-6 {width: 12.4em}
		.advanced-details-table tr .details-col-6 {width: 10.4em}
		.advanced-details-table tr .details-col-7 {vertical-align: bottom}
	
	.gloss {display:inline-block;position:relative;height:16px;background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/gloss-bg.png) repeat-x;padding: 3px ;line-height: 22px}
		.gloss-left, .gloss-right {position: absolute;display:block;width:3px;height:100%;overflow:hidden;background-repeat:no-repeat;margin-top:-3px}
		.gloss-left {background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/gloss-left.png);left:0}
		.gloss-right {background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/gloss-right.png);right:0}
		
		.gloss-contents {margin: 0 3px;line-height: 16px}
			.gloss-contents img {vertical-align:middle;margin-top:-4px}
		.gloss a {text-decoration:none}
		
		
		/*Thin gloss fields*/
			.thin-gloss {margin-top: -4px;height:12px;background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/thin-gloss-bg.png)}
			.thin-gloss .gloss-left {background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/thin-gloss-left.png);left:0}
			.thin-gloss .gloss-right {background:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/thin-gloss-right.png);right:0}
			.thin-gloss .gloss-contents {line-height: 12px}
			.thin-gloss .gloss-contents img {vertical-align:middle;margin-top:1}
		
		.left-float {float:left}
		.right-float {float:right}
		.bottommargin {clear:both; margin-bottom: 4em}
		.topmargin {margin-top: 2em}
		.clearfix {clear:both}
		.confirm-modal {padding:1em}
	
	.nobottomborder {border-bottom: 0!important}
	
	.search-result.toplevel td {height:0.8em;overflow-y:hidden;line-height:0.6em;vertical-align:middle}
		.search-result.toplevel {border-width: 0.4em 0.4em 0.5em 0.4em; border-style: solid; border-color: #999}
		.result-details {border-width: 0 0.4em 0 0.4em; border-style: solid; border-color: #999}
	.borderfix {border-width: 0 0.2em 0 0; border-style: solid; border-color: #999}
	.search-result.toplevel td.col-2 {padding-top:0}
	.swoop-arrow{margin-top:-0.5em}
	.vertically-centered img {vertical-align:middle}
	.purchase {margin-left:1em; cursor:pointer}
	.details-container {margin: 0 0.5em 0.5em; width: 72em}
	
	.details-table td, .advanced-details-table td {padding: 0.2em 0 !important}
	.details-table, .advanced-details-table {width:100%}
		.details-table tr th, .advanced-details-table tr th {background-color:#ddd; text-align: left;vertical-align: middle;line-height:1.5em}
		.details-table tr td, .advanced-details-table tr td {vertical-align: top;line-height: 1.2em;padding:0.1em}
		.details-table tr td, .details-table tr td a, .advanced-details-table tr td, .advanced-details-table tr td a {color: #333}
		
	.altbg td {background-color: #f2f2f2}
	.arr-dep-select {width:11em}
			
	.grey {color:#999}
	.strike-through {text-decoration: line-through}
	.swoop-arrow {background: url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/swoop-arrow.png) no-repeat left}
	
	#search-results tr td.date-cell {font-weight: 700;line-height:0.5em;padding-right: 0;width: 73.8em}
	#change-search {clear:both;padding-top:3em}
		#change-search .text-input {width:16.5em; margin-top: 0.5em}
		#change-search .question, #change-search .question .form-control{line-height:1.6em !important}
		#change-search .floated {margin-right: 1em}
	#spot-refine-step-1 {margin-top:0.2em}
	#refine-step-2 {margin-top:-1.5em; width: 22em; text-align: right}
		#spot-refine-step-2 {margin-top:-0.5em; margin-left: -0.8em}
		#refine-step-2 label {display: block; float: left }
		
		#searched-label {margin-top: 1.5em}
		#via-label {margin-top: 0.5em}

/* Classes and IDs used ONLY on "Advanced Search" page */

#advanced-search-container{background:#dadada;border:0.1em solid #999;clear:both;height:39.6em;position:relative;width:74em}
	#spot-search-container {background:#dadada;border:0.1em solid #999;clear:both;height:25.4em;position:relative;width:74em}
#cornerfix-bl{background-image:url(../gfx/corner-bl.png);bottom:-1px;left:-1px}
#cornerfix-br{background-image:url(../gfx/corner-br.png);bottom:-1px;right:-1px}
#cornerfix-tl{background-image:url(../gfx/corner-tl.png);left:-1px;top:-1px}
#cornerfix-tr{background-image:url(../gfx/corner-tr.png);right:-1px;top:-1px}
#cornerfix-bl-lite{background-image:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/corner-bl-light.png);bottom:-1px;left:-1px}
#cornerfix-br-lite{background-image:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/corner-br-light.png);bottom:-1px;right:-1px}
#cornerfix-tl-lite{background-image:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/corner-tl-light.png);left:-1px;top:-1px}
#cornerfix-tr-lite{background-image:url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/corner-tr-light.png);right:-1px;top:-1px}
#means-selection .form-control{letter-spacing:0;margin-left:-0.2em;margin-top:0.2em}
#row-1,#row-2{clear:both}
#row-2{margin-top:2.2em}
#step-1{width:44.9em}
	#spot-search-container #step-1 { width: 43em }
#step-1 .step-content,#step-2 .step-content{border-right:0.1em dotted #333}
#step-1,#step-2,#step-3{float:left;height:26.8em}
	#spot-search-container #step-1,#spot-search-container #step-2,#spot-search-container #step-3{float:left;height:22.8em}
#step-2,.text-input{width:15em}
#step-3{width:14em}
#step-4{clear:both;height:7em;padding-top:1.3em}
#step-4 .step-content{border-top:0.1em solid #fff;margin-right:1.1em;padding-top:1.1em}
#submit-control{width:12.2em}
#time-limit{display:block;height:2.7em}
#uncheck-all{margin-left:0.3em}

.cornerfix{background-color:#fff;display:block;height:10px;overflow:hidden;position:absolute;width:10px;z-index: 10}
.question{margin:0.9em 0}
.question.floated{float:left;margin-right:2em;margin-top:0}
.step-content{height:100%;margin:1.2em 0 1.1em 1.1em;position:relative}

#ie-bottom-fix {display: none}

.handicap-table { display: table; min-width: 11em; overflow: visible }
	.handicap-row { display: table-row }
	.handicap-cell { display: table-cell }
	
	.handicap-checkbox, .handicap-icon { width: 1.5em }
		.handicap-checkbox { padding-right: 0.2em }
		.handicap-icon { position: relative; padding-left: 1em; }
			.handicap-icon img { position: relative; top: 0.2em }
	.handicap-label { width: auto; white-space: nowrap; }
	
	
/* Calendar for date selection */
.calendar { clear: both; position: absolute; background: white; width: 16.9em; border: 0.1em solid #005299 }
  		.cal-header th { background-color:#005299; color: white; font-weight: normal; line-height: 1em; border-bottom: 0.2em solid #005299 }
 		.cal-nav, .cal-close { width: 1em }
  			.cal-nav a { color: white }
  			.cal-nav.prev { text-align: left }
  			.cal-close, .cal-nav.next { text-align: right }
  		.cal-close {  }
  			.cal-close a img { margin-bottom: -0.2em }
  		
  		.cal-noborder { border: 0 !important; margin: 0; padding: 0.1em }
  		.cal-contents { table-layout: fixed; margin-right: -0.1em; margin-left: -0.1em; margin-top: -0.1em; width: 16.5em; border: 0; border: 0 !important; padding: 0 !important }
  		.cal-contents tr td { width: 2.1em; height: 1.6em; line-height: 1.5em; overflow: hidden; text-align: center; background: #d3d3d3; padding: 0.1em !important; border: 0.1em solid white}
  		
  		.cal-date a { background: white }
  		.cal-daynames, .cal-weekend a { background-color: #dadada }
  		.cal-othermonth a { background-color: #f1eff0 }
  		.cal-contents tr td a { display: block; width: 100%; height: 100% !important; overflow: hidden }
  		
  		.cal-currentdate { background: #CA272F !important;}
  		
  #curtain { position: absolute; top: 0; left: 0; height: 100%; width: 100%; background-color: white; opacity:0.5;filter:alpha(opacity=50); z-index: 10;}
  /*.red-text { color: red !important; }*/
  .red-text { color: #CA272F !important; }
  
  .search-gloss, .info-gloss {margin-top:0}
  
  .info-box {position:absolute;z-index:11;top:200px; left: 500px;width: 30em; border: 1px solid #CA272F; background-color: #fff}
  .info-header {background-color: #CA272F; color: white; padding: 0.1em; line-height: 1.2em; border-bottom: 0.2em solid #CA272F}
  .info-contents { padding: 0.5em; overflow: scroll; max-height: 30em; overflow-x: hidden }
  
  .share-box {position:absolute;z-index:11;width: 22em; border: 4px solid #929292; background-color: #fff; padding: 0.1em}
  .share-header {padding-left: 2em; background: #f5f5f5 url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/social-plus.png) no-repeat 0.3em 0.3em;line-height: 2em; border-bottom: 0.1em solid #eaeaea}
  .share-close {margin-right: 0.2em; text-decoration: none; clear: none}
  .share-contents {margin: 0 auto }
  .share-button {float: left; display: block; vertical-align: middle; padding: 0.8em; margin-left: 0.1em; width: 9em; text-decoration: none; border: 1px solid transparent; height: 0.8em}
  .share-button:hover { background-color: #f5f5f5; border: 1px solid #eee; }
  .share-icon {float: left; margin-top: -0.4em}
  .share-label {display:block; height:0.8em; line-height: 0.8em; margin-left: 2em}
  .share-bottom-shade {margin: 0; padding: 0; overflow: hidden; background-color: #f5f5f5; line-height: 1em; border-top: 0.1em solid #eaeaea}
  
  .return-voyage-box {width: 35em; border: 4px solid #929292; background-color: #fff; padding: 0.1em}
  	.return-voyage-box .share-header {background-image: url(http://www.reseplaneraren.lanstrafiken-z.se/v3/gfx/swap-fields-icon.png)}
  	.return-voyage-box .share-button {width: 18em; margin: 0}
  	.return-voyage-box .share-label {margin-left: 2.5em; line-height: 2em}
  	
  .return-voyage-table {table-layout: fixed}
  .return-voyage-table tr td, .return-voyage-table tr th {margin: 0; padding-left: 0.2em; text-align: left; line-height: 2em}
  .return-voyage-table tr td, .return-voyage-box .share-bottom-shade {border-top: 0.4em solid #999}
  .return-voyage-table tr th {border-bottom: 1.4em solid #999}
  .return-voyage-table img { margin-bottom: -0.5em}
  
  .bottom-cell {border-top: 0.4em solid #999}
  .img-btn {cursor:pointer}
  
  #email-form {position: absolute; width: 30em;}
  #email-form .contents {padding: 1em}
  #email-form p {margin-bottom: 1em}
  #email-form p.fields * {margin-right: 0.5em}
  
  h2.roundtrip-info { margin-top: -2.2em }
  
  .refine-labels-1 {margin-top: -1.5em !important;}
  
  .form-button { border: 0 !important; height: auto; width: auto; }
  
  #add-station-container {position: relative; width: 45em; min-height: 25em;}
  .rounded-container {background:#dadada;border:0.1em solid #999;}
  .rounded-contents {padding:1em;}
  .dotted-bottom {border-bottom:0.1em dotted #333}
  .dotted-top {border-top:0.1em dotted #333}
  .tight-rows {line-height: 1.4em}container {position: relative; width: 45em; min-height: 25em;}
  .rounded-container {background:#dadada;border:0.1em solid #999;}
  .rounded-contents {padding:1em;}
  .dotted-bottom {border-bottom:0.1em dotted #333}
  .dotted-top {border-top:0.1em dotted #333}
  .tight-rows {line-height: 1.4em}
  
  .breadcrumb {position:relative; z-index:1}
  
  #spot-results-table tr td.date-cell {font-weight: 700;line-height:0.5em;padding-right: 0;width: 73.8em}
  
  #RSicon{margin-left:-1em;}